Create Task
Creates a proposed or ready Task in a Room (room_id) or for a Business (business_id, expected_business_revision). Include a proposal_reason. For proposed Tasks, omit assignees, due_at and decision_reason.
Signed-in user's Supabase access token. Workspace-scoped operations also require SMB-Workspace-Id.
In: header
Header Parameters
Workspace where this operation runs. Required for user tokens and Workspace API keys.
uuid8 <= length <= 200Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/v1/tasks" \ -H "SMB-Workspace-Id: 497f6eca-6276-4993-bfeb-53cbbbba6f08" \ -H "Idempotency-Key: stringst" \ -H "Content-Type: application/json" \ -d '{ "title": "string", "status": "proposed", "proposal_reason": "string" }'{ "data": { "task_id": "string", "business_id": "string", "room_id": "string", "goal_id": "string", "title": "string", "description": "string", "status": "proposed", "proposal_source": "user", "proposal_source_id": "string", "proposed_by": { "type": "user", "id": "string" }, "proposal_reason": "string", "proposal_evidence": [ null ], "decision_reason": "string", "assignee_user_id": "string", "assignee_email": "user@example.com", "kind": "todo", "due_at": "2019-08-24T14:15:22Z", "started_at": "2019-08-24T14:15:22Z", "completion_evidence": [ null ], "completed_at": "2019-08-24T14:15:22Z", "cancellation_reason": "string", "canceled_at": "2019-08-24T14:15:22Z", "revision": 1, "created_at": "2019-08-24T14:15:22Z", "updated_at": "2019-08-24T14:15:22Z" }, "receipt": { "receipt_id": "64d0a161-468e-472a-b00e-a06ee9ab7de7", "command_id": "7d510d78-7444-4252-aeac-9e473949661e", "operation": "string", "workspace_id": "0967198e-ec7b-4c6b-b4d3-f71244cadbe9" }, "idempotent_replay": true, "request_id": "string"}